
#include "sym_parikh_util.h"

using namespace sym_parikh;
using namespace z3;

expr const sym_parikh::sub(
    context & context,
    expr const &e,
    expr const &src,
    expr const &dst
) {
    expr_vector src_vec(context);
    expr_vector dst_vec(context);
    src_vec.push_back(src);
    dst_vec.push_back(dst);
    expr f = e;
    return f.substitute(src_vec, dst_vec);
}

