
#ifndef __UTIL_H__
#define __UTIL_H__

#include "z3++.h"

namespace sym_parikh {
    /**
     * Convert smtlib string into a regex
     */
    z3::expr smtlib2re(z3::context &context, std::string const &smtlib);

    /**
     * Convenience for variable substitution
     */
    z3::expr const sub(
        z3::context &context,
        z3::expr const &e,
        z3::expr const &src,
        z3::expr const &dst
    );
}

#endif
