
import csv
import untangle
import sys

from zeep import Client

client = Client("https://regexlib.com/WebServices.asmx?WSDL",)

results = client.service.listRegExp("any", "", 5, 3)

writer = csv.writer(sys.stdout)
headings = [
    "ExpressionId", "UserId", "AuthorName", "ProviderId", "Title",
    "Pattern", "MatchingText", "NonMatchingText", "Enabled", "Rating",
    "Source", "Description", "DateCreated", "DateModified",
    "Expression"
]
writer.writerow(headings)

for row in results['_value_1']['_value_1']:
    exp = row["Expressions"]
    writer.writerow([ exp[heading] for heading in headings ])

